Subject: Re: [PATCH] powerpc: add `cur_cpu_spec` symbol to vmcoreinfo

From: Michael Ellerman <[email-masked]>
Date: Fri, 15 Sep 2023 11:16:08 +1000

Sachin Sant <[email-masked]> writes:
>> On 14-Sep-2023, at 6:52 PM, Michael Ellerman <[email-masked]> wrote:
>> 
>> Sachin Sant <[email-masked]> writes:
>>>> On 11-Sep-2023, at 2:44 PM, Aditya Gupta <[email-masked]> wrote:
>>>> 
>>>> Presently, while reading a vmcore, makedumpfile uses
>>>> `cur_cpu_spec.mmu_features` to decide whether the crashed system had
>>>> RADIX MMU or not.
>>>> 
>>>> Currently, makedumpfile fails to get the `cur_cpu_spec` symbol (unless
>>>> a vmlinux is passed with the `-x` flag to makedumpfile), and hence
>>>> assigns offsets and shifts (such as pgd_offset_l4) incorrecly considering
>>>> MMU to be hash MMU.
>>>> 
>>>> Add `cur_cpu_spec` symbol and offset of `mmu_features` in the
>>>> `cpu_spec` struct, to VMCOREINFO, so that the symbol address and offset
>>>> is accessible to makedumpfile, without needing the vmlinux file
>>>> 
>>>> Signed-off-by: Aditya Gupta <[email-masked]>
>>>> ---
>>> 
>>> Thanks for the patch. With this patch applied (along with makedumpfile changes)
>>> I am able to capture vmcore against a kernel which contains commit 8dc9a0ad0c3e
>> 
>> I can't find that commit? Was just wondering if it should be referenced
>> in the commit message.
>> 
>
> My bad, I copied that commit id from the email when I first reported this issue
> against linux-next.
>
> The commit should be 
> 368a0590d954: (powerpc/book3s64/vmemmap: switch radix to use a
> different vmemmap handling function)

OK thanks.

Aditya, can you please rephrase the commit message to mention how that
commit broke the previous behaviour.

Also I don't know what pgd_offset_l4 is?

cheers